S
AnyVals
S2B
ScalaPrimitives
S2C
ScalaPrimitives
S2D
ScalaPrimitives
S2F
ScalaPrimitives
S2I
ScalaPrimitives
S2L
ScalaPrimitives
S2S
ScalaPrimitives
SARRAY_GET
ScalaPrimitives
SARRAY_LENGTH
ScalaPrimitives
SARRAY_SET
ScalaPrimitives
SCOPE_ENTER
opcodes
SCOPE_EXIT
opcodes
SEALED
Tokens
SEMI
CommonTokens
SHORT
TypeKinds BTypes JavaTokens
SLASH
JavaTokens
SLASHEQ
JavaTokens
SMALL_METHOD_SIZE
Inliners
SOME
CODE
STATIC
JavaTokens
STORE_ARRAY_ITEM
opcodes
STORE_FIELD
opcodes
STORE_LOCAL
opcodes
STORE_THIS
opcodes
STRICTFP
JavaTokens
STRING
MethodTFA
STRINGLIT
CommonTokens
STRINGPART
Tokens
SUB
ScalaPrimitives Primitives
SUBTYPE
Tokens
SUPER
CommonTokens
SUPERTYPE
Tokens
SWITCH
opcodes JavaTokens
SYMBOLLIT
Tokens
SYNCHRONIZED
ScalaPrimitives JavaTokens
Same
ant
SampleTransform
transform
SampleTransformer
SampleTransform
ScalaBuild
settings
ScalaClassLoader
util
ScalaLogic
patmat
ScalaMatchingTask
ant
ScalaPrimitives
backend
ScalaSettings
settings
ScalaTask
ant
ScalaTool
ant
ScalaValueClassNames
Parsers
ScalaVersion
settings
ScalaVersionSetting
MutableSettings
Scalac
ant
ScalacFork
sabbus
ScalacPatternExpander
ScalacPatternExpanders
ScalacPatternExpanders
patmat
ScalacShared
ant
ScanPosition
AbstractJavaTokenData JavaTokenData
Scanner
Scanners
ScannerCommon
ScannersCommon
ScannerData
Scanners
Scanners
parser
ScannersCommon
parser
Scope
Aliases GenICode
ScriptRunner
nsc
SealedNonClass
SymValidateErrors
SearchFailure
Implicits
SearchResult
Implicits
SecondTry
ContextMode
SelectFromArray
LazyTreeCopier Trees StrictTreeCopier TreeCopier
SelectStart
CODE
SelectWithUnderlyingError
TyperErrorGen
SelfConstrArgsThisReferenceError
TyperErrorGen
SelfSuperCall
ContextMode
SelfUpdate
StdOpts
SemiLattice
analysis
Seq
scala
SeqContextSensitive
Parser
Set
util
Setter
MethodSynth
Setting
CompilerCommand AbsScalaSettings AbsSettings MutableSettings
Settings
sabbus nsc
Severity
Reporter FrontEnd
Shadower
ImplicitComputation
Shift
Primitives
ShiftOp
Primitives
ShowPickled
util
SilentResult
Typers
SilentResultValue
Typers
SilentTypeError
Typers
SimpleTracer
util
Skip
Macros
SkipPhase
Delambdafy
Skipped
Macros
Socket
io
SocketServer
util
Solution
PropositionalLogic
Solvable
PropositionalLogic CNF
Solver
Solving
Solving
patmat
Source
ByteCodeRepository
SourceFile
util
SourceFileEntry
classpath
SourceFileParser
Parsers
SourceFileScanner
Scanners
SourcePath
util
SourceReader
io
SourcefileLoader
SymbolLoaders
Spec
cmd SpecifierGroups
SpecCommandLine
Reference
SpecialOverload
SpecializeTypes
SpecialOverride
SpecializeTypes
SpecialSuperAccessor
SpecializeTypes
SpecializationDuplicator
SpecializeTypes
SpecializationPhase
SpecializeTypes
SpecializationTransformer
SpecializeTypes
SpecializeTypes
transform
SpecializedAccessor
SpecializeTypes
SpecializedInfo
SpecializeTypes
SpecializedInnerClass
SpecializeTypes
SpecificScalaVersion
settings
SpecifierGroups
FormatInterpolator
Stack
rdefLattice
StackPos
rdefLattice
StackTraceOps
util
StandardCompileClient
nsc
StandardCompileServer
nsc
StandardScalaSettings
settings
StarParamNotLastError
TyperErrorGen
StarPatternWithVarargParametersError
TyperErrorGen
StarPatterns
ContextMode
StarPositionInPatternError
TyperErrorGen
StarWithDefaultError
TyperErrorGen
StarsAlign
LintWarnings
StartConcat
Primitives
State
States copyLattice
States
reify
Static
opcodes
Statics
transform
StaticsTransformer
Statics
StatisticsInfo
util
StdAttachments
utils typechecker
StdContextTags
reflect
StdOpts
Meta
StdPhase
SubComponent
StdRuntimeTags
reflect
StdTags
reflect
StoreReporter
reporters
Stream
scala
Streamable
io
StrictTreeCopier
Trees
StringBuilder
scala
StringBuilderClassName
BCodeIdiomatic JPlainBuilder
StringBuilderReference
CoreBTypes CoreBTypesProxy
StringBuilderType
JPlainBuilder
StringConcat
Primitives
StringFromString
FromString
StringIndexOutOfBoundsException
scala
StringReference
ICodes CoreBTypes CoreBTypesProxy
StringSetting
AbsScalaSettings MutableSettings
String_valueOf
CoreBTypes CoreBTypesProxy
StructuredTypeStrings
typechecker
SubComponent
nsc
SubItem3
BCodePhase
SubstOnlyTreeMaker
TreeMakers
Substitution
TypedSubstitution
SubstututeRecursion
ExtensionMethods
Success
Macros
SuperAccTransformer
SuperAccessors
SuperAccessors
typechecker
SuperArgsAttachment
StdAttachments
SuperCall
opcodes
SuperConstrArgsThisReferenceError
TyperErrorGen
SuperConstrReferenceError
TyperErrorGen
SuperInit
ContextMode
SupplementalLocations
PathResolver
SuppressMacroExpansionAttachment
StdAttachments
Suppression
MatchTreeMaking
SwingBrowser
TreeBrowsers
SwitchEmission
MatchOptimization
SwitchMaker
SwitchEmission
SwitchablePattern
RegularSwitchMaker
SwitchableTreeMaker
RegularSwitchMaker SwitchMaker
SwitchableTreeMakerExtractor
SwitchMaker
Sym
PropositionalLogic Function1
SymDef
Extractors
SymOrdering
Sym
SymValidateErrors
NamerErrorGen
Symbol
Aliases
SymbolAndTypeBound
BoundTree
SymbolBound
MatchTranslator
SymbolEscapesScopeError
TyperErrorGen
SymbolLoader
SymbolLoaders
SymbolLoaders
symtab
SymbolLoadersStats
symtab
SymbolMapping
CNF
SymbolNotFoundError
TyperErrorGen
SymbolPair
Global
SymbolPlaceholder
Placeholders
SymbolTable
SymbolTables symtab
SymbolTables
utils
SymbolTracker
SymbolTrackers TreeCheckers
SymbolTrackers
symtab
SymbolTypeError
ContextErrors
SymbolValidationError
NamerErrorGen
SymbolicXMLBuilder
parser
SyncAndTryBuilder
BCodeSyncAndTry
SyntaxAnalyzer
parser
SyntheticMethods
typechecker
s
EnableSettings AsLines
sabbus
ant
samToFunctionType
Typer
sameTargetExecutableInstruction
BytecodeUtils
sameValue
TreeAndTypeAnalysis
satisfiabilityConstraints
SpecializeTypes
satisfiable
SpecializeTypes
save
GenericRunnerSettings
saveDefaultGetter
Namer
savedTypeBounds
Context
savingCleanups
ICodePhase
savingInPattern
RefCheckTransformer
savingUndeterminedTypeParams
Context
scala
root
scalaAnyRefConstr
TreeBuilder
scalaBootClassPath
Defaults Calculated
scalaClassesDir
Defaults
scalaDot
TreeBuilder
scalaExtDirs
Defaults Environment Calculated
scalaFactoryCall
Reifier GenUtils
scalaHome
Defaults Environment Calculated
scalaHomeDir
Defaults
scalaLibAsDir
Defaults
scalaLibAsJar
Defaults
scalaLibDir
Defaults
scalaLibDirFound
Defaults
scalaLibFound
Defaults
scalaName
TypeStrings
scalaPluginPath
Defaults
scalaPrimitives
Global
scalaSerializableReference
CoreBTypes CoreBTypesProxy
scalaSourcePath
Defaults
scalaUnitConstr
TreeBuilder
scalacCompilerArgs
Scalac
scalacDebugging
Scalac
scalacError
Driver
scope
Context InnerClassEntry Context DestructureType LevelInfo
script
ScalaSettings
scriptBody
Parser
scriptMain
ScriptRunner
searchId
ImplicitSearch
searchImplicit
ImplicitSearch
sectionTagMap
DocStrings
seenMacroExpansionsFallingBack
PerRunReporting
segmentLimit
Pack200Task
selector
Parser
selectors
Parser
selfInvocation
Parser
selfTypeCompleter
Namer
selfUpdateName
StdOpts
sepRegions
Scanner
separatePkgAndClassNames
PackageNameUtils
seqOK
Parser
seqPatterns
Parser
seqTree
ExtractorCall ExtractorCallRegular
sequenceList
Repeated
sequenceType
Aligned Extractor Repeated
serialVUID
BCodeHelpers JPlainBuilder
server
FscSettings
serverClass
CompileSocket
serverClassArgs
CompileSocket
serverSocket
SocketServer
session
StandardCompileServer SocketServer
set
ContextMode Context
setAddendum
TypeDiagnostics
setAddparams
Scalac
setArgfile
Scalac ScalacFork
setBTypes
CoreBTypesProxy
setBasicBlock
Context
setBootclasspath
Scalac
setBootclasspathref
Scalac
setClass
ScalaTool Context
setClassPath
ScalaTool
setClassPathRef
ScalaTool
setClasspath
ClassloadVerify Scalac
setClasspathref
ClassloadVerify Scalac
setCode
IMethod
setCompilationPath
CompilationPathProperty
setCompilationPathRef
CompilationPathProperty
setCompilationUnit
IClass
setCompilerPath
Scalac TaskArgs
setCompilerPathRef
Scalac TaskArgs
setDebuginfo
Scalac
setDependencyfile
Scalac
setDeprecation
Scalac
setDestdir
Pack200Task Scalac TaskArgs Use
setDir
Pack200Task Same
setEffort
Pack200Task
setEncoding
Scalac
setError
Inferencer
setExplaintypes
Scalac
setExtdirs
Scalac
setExtdirsref
Scalac
setFailOnError
ScalacFork Use
setFailondifferent
Same
setFailonerror
Scalac
setFile
ScalaTool
setForce
Scalac
setFork
Scalac
setHostClass
CALL_METHOD LOAD_FIELD
setIPv4
FastScalac
setId
Break TaskArgs Use
setInPos
Parser
setJavaflags
ScalaTool
setJvmArgs
ScalacFork
setJvmargs
Scalac
setKeepFileOrder
Pack200Task
setKeepModificationTime
Pack200Task
setLogPhase
Scalac
setLogging
Scalac
setMaxIdle
FastScalac
setMethod
Context
setNobootcp
Scalac
setNowarn
Scalac
setOptimise
Scalac
setPackage
Context
setParams
TaskArgs Label
setPlatforms
ScalaTool
setPort
CompileSocket
setPos
Instruction
setPrivateWithin
Namer
setProp
WrappedProperties
setProperties
ScalaTool
setRepack
Pack200Task
setReset
FastScalac
setResultproperty
Same
setScalacdebugging
Scalac
setSegmentLimit
Pack200Task
setServer
FastScalac
setShutdown
FastScalac
setSingleOutput
OutputDirs
setSourcepath
Scalac
setSourcepathref
Scalac
setSrcPath
TaskArgs
setSrcPathRef
TaskArgs
setSrcdir
Scalac ScalacFork Use
setSrcref
Scalac
setStartBlock
ExceptionHandler
setSuffix
Pack200Task
setTarget
Scalac TaskArgs
setTargetTypeKind
CALL_METHOD
setTimeout
ScalacFork
setTodir
Same
setToolflags
ScalaTool
setTreeModel
BrowserFrame
setUnchecked
Scalac
setUsejavacp
Scalac
setVars
UnusedPrivates
setWriter
TextPrinter
settings
Infrastructure Compiler CompilerCommand Driver GenericRunnerCommand Global GlobalPlatform Reporting AbstractReporter ConsoleReporter nsc
severity
Info Info FrontEnd
sharedPrefix
ReusingCondTreeMaker
shellInterruptedString
Properties
shellPromptString
Properties
shiftKey
ASTMenuBar
shiftOps
AnyValNum
shortUsage
CompilerCommand
shortUsageMsg
GenericRunnerCommand
shortenImports
Typers
shortname
ConsoleReporter
shouldCheckIcode
ICodes
shouldEmitAnnotation
BCodeAsmCommon
shouldEmitCleanup
PlainSkelBuilder
shouldLoadImplFor
Inliner
shouldLogAtThisPhase
Global
shouldProcessArguments
CompilerCommand GenericRunnerCommand
shouldStopWithInfo
CompilerCommand
show
MemberPosReporter SymbolTracker StructuredTypeStrings TypeEmpty TypeNode typingStack MergedClassPath ShowPickled
showAdapt
typingStack
showAttributes
DefaultPrintAST PrintAST
showDef
Global
showDefTreeName
DefaultPrintAST PrintAST
showFlags
DefaultPrintAST PrintAST
showLiteral
DefaultPrintAST PrintAST
showName
DefaultPrintAST PrintAST
showNameAndPos
DefaultPrintAST PrintAST
showPhases
ScalaSettings
showPlugins
ScalaSettings
showPop
typingStack
showPosition
DefaultPrintAST PrintAST
showPush
typingStack
showRefTree
PrintAST
showRefTreeName
PrintAST
showSymbol
DefaultPrintAST
showSyntaxErrors
UnitParser
showTreeMakers
MatchApproximator
showType
DefaultPrintAST
showTypeTree
DefaultPrintAST PrintAST
showTyped
typingStack
showUnit
nodePrinters
shrinkedWatchlist
MTFAGrowable
shutdown
StandardCompileServer FscSettings SocketServer
signalDone
Global
signalError
SymbolLoaders
signalParseProgress
Global
signalParsedDocComment
Global
signature
MacroImplBinding
silent
Typer
simpleExpr
Parser
simpleExprRest
Parser
simpleName
ClassBType
simplePattern
SeqContextSensitive
simpleType
PatternContextSensitive
simpleTypeRest
PatternContextSensitive
simplify
PropositionalLogic
simplifyJumps
LocalOpt YoptChoices
simulateCall
CopyAnalysis
singleUseFields
Mixin
site
ComputeBridges
siteString
Context
size
Compilers Run BasicBlock BType SymbolMapping
sizeOf
JPlainBuilder
skip
Parser JavaParser ScalaSettings AbstractFileReader
skipAhead
JavaParser
skipAttributes
ClassfileParser
skipBlockComment
Scanner
skipBraces
OutlineParser
skipComment
Scanner JavaScanner
skipDocComment
Scanner
skipIdent
DocStrings
skipImplicit
Infer
skipLineLead
DocStrings
skipMembers
ClassfileParser
skipNestedComments
Scanner
skipPhase
Run
skipSuperclasses
ClassfileParser
skipTag
DocStrings
skipTo
JavaParser
skipToEol
DocStrings
skipToken
Scanner
skipVariable
DocStrings
skipWhitespace
DocStrings
skipped
Skipped
smartParse
UnitParser
snapshot
trackerFactory SymbolTracker
solvedTypes
Infer
sortString
ClassPath
sortedNewSyms
SymbolTracker
source
CompilationUnit Parser ParserTreeBuilder SourceFileParser SourceFileScanner TreeBuilder ScalaSettings ClassRep ClassRepresentation
sourceFile
IMethod
sourcePath
TaskArgs Calculated
sourcePathEnv
Environment
sourceReader
ScalaSettings
sourcedir
Settings
sourcedir_=
Settings
sourcefile
ClassfileLoader SourcefileLoader SymbolLoader
sourcepath
Scalac Settings StandardScalaSettings
sourcepath_=
Settings
sourcepaths
ClassPath DirectoryClassPath MergedClassPath SourcePath
sourcesInPath
ClassPathFactory FlatClassPathFactory ClassPathContext
spawn
unlifters
spec
CommandLine
specToURL
ClassPath
specializableTypes
SpecializeTypes
specializeCalls
SpecializeTypes
specializeClass
SpecializeTypes
specializePhase
Run
specializeTypes
Global
specialized
GlobalPhase
specializedClass
SpecializeTypes
specializedParams
SpecializeTypes
specializedType
SpecializeTypes
specializedTypeVars
SpecializeTypes
specializesClass
SpecializeTypes
spliceApply
ExtractorCallRegular
spliceType
GenTypes
splicedBlocks
Inliner
split
ClassPath
splitPane
BrowserFrame
splitParams
MutableSettings
splitPrefix
SymbolicXMLBuilder
srBooleanRef
CoreBTypes CoreBTypesProxy
srByteRef
CoreBTypes CoreBTypesProxy
srCharRef
CoreBTypes CoreBTypesProxy
srDoubleRef
CoreBTypes CoreBTypesProxy
srFloatRef
CoreBTypes CoreBTypesProxy
srIntRef
CoreBTypes CoreBTypesProxy
srLongRef
CoreBTypes CoreBTypesProxy
src
Conversion
srcFilesFor
OutputDirs
srcdir
Pack200Task
srcfile
SourcefileLoader ClassfileParser
srcfile0
ClassfileParser
stabilize
Eraser Typer
stabilizeFun
Typer
stableId
Parser
stack
State IState
stackCat
Opcodes
stackLength
CallsiteInfo
stackTraceHeadString
util
stackTracePrefixString
StackTraceOps
stackTraceString
util
staleIn
Inliner
staleOut
Inliner
standardAccessors
MethodSynth
standardEnsureCompanionObject
Namer
standardEnterSym
Namer
standardIsBlackbox
Macros
standardMacroArgs
Macros
standardMacroExpand
Macros
standardMacroRuntime
MacroRuntimes
standardTypedMacroBody
Macros
star
Patterns
starArity
Aligned Patterns
starPatterns
Patterns Context
starPatterns_=
Context
start
Timer BlockInteval
startAnnotType
Parser
startBlock
ExceptionHandler Code IMethod
startIndex
PickleBufferEntry
startInfixType
Parser
startTag
DocStrings
starts
ConstantPool
startsWithTag
DocStrings
stat
DataFlowAnalysis
statSeq
Parser
state
States
statement
Parser
staticCode
ICodeReader
staticForwarderGenericSignature
GenASM
staticModule
ClassfileParser
staticScope
ClassfileParser
staticTpCheckable
Var
statistics
Global
stdContextTags
FormatInterpolator
stop
Timer
stopAfter
ScalaSettings
stopBefore
ScalaSettings
stopPhase
Run
store
JCodeMethodN locals jcode
storedBinders
PreserveSubPatBinders
storedCond
ReusedCondTreeMaker
strMODULE_INSTANCE_FIELD
BTypesFromSymbols JCommonBuilder
strVal
TokenData
strictInference
ScalaSettings
stringFromReader
util
stringFromStream
util
stringFromWriter
util
string_==
TypeDiag
stringify
PrintAST
stripClassExtension
FileUtils
stripJavaExtension
FileUtils
stripParens
TreeBuilder
stripQuotes
cmd
stripSourceExtension
FileUtils
strippedTpe
ApplyHole
style
CALL_METHOD
sub
JCodeMethodN jcode
subBoundTrees
ExtractorCall
subOpcodes
JCodeMethodN jcode
subPatBinders
ExtractorCall ExtractorTreeMaker PreserveSubPatBinders ProductExtractorTreeMaker
subPatRefs
ExtractorCall ExtractorCallRegular ExtractorTreeMaker PreserveSubPatBinders ProductExtractorTreeMaker
subPatRefsSeq
ExtractorCall
subPatTypes
ExtractorCall
subPatternsAsSubstitution
PreserveSubPatBinders TreeMaker
subpatterns
TranslationStep
subst
BasicBlock SearchResult
substituteLabel
BytecodeUtils
substitution
TreeMaker
subtypeAppInfos
ImplicitsStats
subtypeETNanos
ImplicitsStats
subtypeFailed
TypersStats
subtypeImpl
ImplicitsStats
succ
Rank
succContents
BasicBlock
success
PCJUMP PCZJUMP LCJUMP LCZJUMP
successBlock
CJUMP CZJUMP
successors
BasicBlock ProgramPoint
summarizeErrors
PerRunReporting
superAccessors
Global
superArgs
StdAttachments
superClass
ClassInfo
superClassesTransitive
ClassBType
superComment
DocComments
supplementTyperState
Global
suppressExhaustive
Suppression
suppressMacroExpansion
StdAttachments
suppressUnreachable
Suppression
survives
ImplicitComputation
survivingArgs
SpecializeTypes
survivingParams
SpecializeTypes
sweep
DeadCode
switchableTpe
RegularSwitchMaker
sym
ReifyAliasAttachment Local Field IMethodInfo Overload DivergentImplicitTypeError ImplicitInfo TypeDiag
symAliases
SymbolTable
symBinding
SymbolTable
symData
Run
symDef
SymbolTable
symForStaticTp
AbsVar Var
symForVar
SymbolMapping
symInfoTK
PlainSkelBuilder
symName
SymbolTable
symRef
SymbolTable
symSource
Run
symString
Hierarchy Node
symSubst
ImplementationAdapter
sym_==
TypeDiag
symbXMLBuilder
SourceFileParser
symbol
DocDef Label IClass IField IMember IMethod
symbolAttributes
TreeInfo
symbolMapping
Solvable
symbolSnapshot
SymbolTracker
symbolTable
GlobalSymbolLoaders JavaPlatform Platform icodeReader SymbolLoaders ClassfileParser ICodeReader
symbolText
TreeInfo
symbolTreeMap
SymbolTracker
symbolType
DestructureType
symbolTypeDoc
TreeInfo
symbol_=
DocDef
syms
SymbolTable
symsToDocument
TypePrinter
symtab
State GenSymbols nsc
synchronized
AnyRef
syntaxAnalyzer
Global
syntaxError
Parser SourceFileParser UnitParser Scanner JavaParser JavaUnitParser JavaScanner
syntaxErrorOrIncomplete
Parser
syntaxErrorOrIncompleteAnd
Parser
syntaxErrors
UnitParser
synthesizePartialFunction
Typer
synthesizeSAMFunction
Typer
synthetics
CompilationUnit
systemProperties
WrappedProperties
systemPropertiesToOptions
Property